#include <iostream>
#include <cstring>

using namespace std;

int main () {
    int n;

    cin >> n;

    char a[8001];

    for (int i = 0; i <= n; i ++) {
        cin.getline(a, 8001);
    }

    for (int i = 0; i < n; i ++) {
        for (int j = n; j >= 0; j --) {
            if (a[i]!=a[j]) {
                a ="0";
            }else {
                a="1";
            }
        }
    }

    for (int i = 0; i <= n; i ++) {
        cout << a;
    }
}

/*3
abcabc
xyz
rotor
*/
